#
# spec file for package rubygem-ruby-progressbar
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ruby-progressbar
Version:        1.13.0
Release:        1.7
%define mod_name ruby-progressbar
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/jfelchner/ruby-progressbar
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby/ProgressBar is a flexible text progress bar library for Ruby
License:        MIT

%description
Ruby/ProgressBar is an extremely flexible text progress bar library for Ruby.
The output can be customized with a flexible formatting system including:
percentage, bars of various formats, elapsed time and estimated time
remaining.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.13.0, no changelog found
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.11.0
  no changelog found
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.10.1
  no changelog found
* Fri Sep  7 2018 mschnitzer@suse.com
- updated to version 1.10.0
  Added:
  * %%W flag for complete_bar_with_percentage
  * %%W Flag for complete_bar_with_percentage
  Changed:
  * Don't rely on default when building complete bar
  Fixed:
  * NoMethodError on decrement when output is non-TTY
  Uncategorized:
  * Fix no method error on decrement when output is not TTY enabled
* Wed Oct 11 2017 coolo@suse.com
- updated to version 1.9.0
  no changelog found
* Sun Sep 17 2017 coolo@suse.com
- updated to version 1.8.3
  no changelog found
* Sat May 21 2016 coolo@suse.com
- updated to version 1.8.1
  no changelog found
* Mon Apr 25 2016 coolo@suse.com
- updated to version 1.8.0
  no changelog found
* Fri Mar 27 2015 coolo@suse.com
- updated to version 1.7.5
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.7.1
* Fri Oct 17 2014 coolo@suse.com
- updated to version 1.6.0, no changelog
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 1.5.1, no changelog
* Tue Mar 18 2014 coolo@suse.com
- updated to version 1.4.2, no changelog
* Thu Feb  6 2014 coolo@suse.com
- updated to version 1.4.1, still no changelog
* Sun Jan  5 2014 coolo@suse.com
- updated to version 1.4.0, still no changelog
* Mon Dec 16 2013 coolo@suse.com
- updated to version 1.3.2, removed changelog
* Mon Aug 26 2013 coolo@suse.com
- updated to version 1.2.0
  * Finally removed deprecation warning and made folder structure consistent
  * Add #log which will properly handle the display of the bar when sending
    a string of output to the screen.
  * Add unknown progress. See the README for more details.
  * Add proper output for non-TTY IO streams
* Sun Jun  9 2013 coolo@suse.com
- updated to version 1.1.1
* Mon Jun  3 2013 coolo@suse.com
- updated to version 1.1.0
* Fri Jan  4 2013 coolo@suse.com
- initial package (version 1.0.2)
